{%extends 'base.html' %}
{% load static %}
{%block cssLinks%}
<link rel="stylesheet" href="{% static 'css/BADInfo.css' %}">
{%endblock cssLinks%}
{% block content %}
<div id="BADInfoHeader">
    <a href="{% url 'myBADs' %}"><img class="backButtonArrow" src="{% static 'imgs/icon-arrow-back.png' %}"/></a>
    <h2>BAD {{BAD}}</h2>
</div>
<div id="accesses">
    <table id="accessTable" class="listTable">
        <caption>Accesses</caption>
        {% for access in accesses %}
        <tr class="accessLine">
            <td>{{access.user.username}}</td>
        </tr>
        {%endfor%}
    </table>
    <form id="newAccess" method="post">
        {%csrf_token%}
        {{newAccessForm}}
        <input type="submit" value="Add">
    </form>
</div>
<table id="experimentTable" class="listTable">
    <caption>Experiments</caption>
    <tr>
        <th>Monkey</th>
        <th>Effect</th>
        <th>Start date</th>
    </tr>
    {% for row in data %}
    <tr class="experimentLine">
        <td>{{row.monkey.name}}</td>
        <td>{{row.effect}}</td>
        <td>{{row.createddatetime}}</td>
    </tr>
    {%endfor%}
</table>
<form id="reportForm" method="post" action="{% url 'reports' %}">
    {% csrf_token %}
    <input type="hidden" name="BAD" value="{{BAD}}">
    <input type="submit" value="Publish report">
</form>
{%endblock content %}